Package org.stianloader.micromixin.transform.internal.util

## Class InjectionPointReference

- java.lang.Object
- - org.stianloader.micromixin.transform.internal.util.InjectionPointReference

    public class InjectionPointReference
    extends java.lang.Object

### Field Summary

Fields
`SlicedInjectionPointSelector` `atSelector`
`org.objectweb.asm.tree.AbstractInsnNode` `shiftedInstruction`
`org.objectweb.asm.tree.MethodNode` `targetedMethod`
`org.objectweb.asm.tree.AbstractInsnNode` `unshiftedInstruction`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### unshiftedInstruction

    @NotNull
    public final org.objectweb.asm.tree.AbstractInsnNode unshiftedInstruction

#### shiftedInstruction

    @NotNull
    public final org.objectweb.asm.tree.AbstractInsnNode shiftedInstruction

#### targetedMethod

    @NotNull
    public final org.objectweb.asm.tree.MethodNode targetedMethod

#### atSelector

    @NotNull
    public final SlicedInjectionPointSelector atSelector